<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.member.mapper.MemberAddressMapper">

    <resultMap type="MemberAddress" id="MemberAddressResult">
        <result property="id"    column="id"    />
        <result property="userId"    column="user_id"    />
        <result property="tel"    column="tel"    />
        <result property="name"    column="name"    />
        <result property="cityId"    column="city_id"    />
        <result property="detail"    column="detail"    />
        <result property="isDefault"    column="is_default"    />
        <result property="creator"    column="creator"    />
        <result property="createTime"    column="create_time"    />
        <result property="updater"    column="updater"    />
        <result property="updateTime"    column="update_time"    />
        <result property="delFlag"    column="del_flag"    />
    </resultMap>

    <sql id="selectMemberAddressVo">
        select id, user_id, tel, name, city, detail, is_default, creator, create_time, updater, update_time, del_flag from dl_member_address
    </sql>


</mapper>